Subject: Section: Provides: Depends: .....

From: Dale Scheetz <[email-masked]>
Date: Mon, 16 Sep 1996 13:53:37 -0400 (EDT)

I have been gawking at a file I built with 'dpkg -I' on all the packages
in rex/binary-i386, and have found some interesting stuff:

First, if I understand the policy manual, section and priority fields are
not "required". It is suggested that they would be helpful. There are a
small fraction of the total packages that have no section field. Users (as
well as some of us developers) can locate a package they need easier if
this field is included in the package.

With reguard to fields like provides, depends and their variants: There
are a fair number of packages that provide the field but leave it empty as
in: "Provides:". Now, I know that "nothing is better than asprin" but
"provides nothing" should probably not be something a package advertises
about itself. More seriously, I would be surprised if this causes dpkg any
real problems, but I can see where some other programs might have problems
with these constructs.

Noticed that recommended and recommends are both used in various packages.
I believe the correct designator is Recommends:
Should I publish the list, or submit bug reports?

Thanks,

Dwarf

------------                                          --------------

aka   Dale Scheetz                   Phone:   1 (904) 877-0257
      Flexible Software              Fax:     NONE 
      Black Creek Critters           e-mail:  [email-masked]

------------ If you don't see what you want, just ask --------------